package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.HashMap;
import java.util.Map;

public class MWFAILDataIn implements MwfData {

    private Map<String, Object> params = new HashMap<>();

    private MWFAILDataIn() {}

    public static MWFAILDataIn builder() {
        return new MWFAILDataIn();
    }

    public MWFAILDataIn rsOurcdtype(String rsOurcdtype) {
        params.put("RS_OURCDTYPE", rsOurcdtype);
        return this;
    }

    public MWFAILDataIn rsOuappl(String rsOuappl) {
        params.put("RS_OUAPPL", rsOuappl);
        return this;
    }

    public MWFAILDataIn rsOutrantyp(Long rsOutrantyp) {
        params.put("RS_OUTRANTYP", rsOutrantyp);
        return this;
    }

    public MWFAILDataIn rsOusubtyp(String rsOusubtyp) {
        params.put("RS_OUSUBTYP", rsOusubtyp);
        return this;
    }

    public MWFAILDataIn rsOudesc(String rsOudesc) {
        params.put("RS_OUDESC", rsOudesc);
        return this;
    }

    public MWFAILDataIn rsOutype(String rsOutype) {
        params.put("RS_OUTYPE", rsOutype);
        return this;
    }

    public MWFAILDataIn rsOucrccnt(Long rsOucrccnt) {
        params.put("RS_OUCRCCNT", rsOucrccnt);
        return this;
    }

    public MWFAILDataIn rsOuacct(String rsOuacct) {
        params.put("RS_OUACCT", rsOuacct);
        return this;
    }

    public MWFAILDataIn rsOubrch(String rsOubrch) {
        params.put("RS_OUBRCH", rsOubrch);
        return this;
    }

    public MWFAILDataIn rsOuxrel(String rsOuxrel) {
        params.put("RS_OUXREL", rsOuxrel);
        return this;
    }

    public MWFAILDataIn rsOucurr(String rsOucurr) {
        params.put("RS_OUCURR", rsOucurr);
        return this;
    }

    public MWFAILDataIn rsOubal(Double rsOubal) {
        params.put("RS_OUBAL", rsOubal);
        return this;
    }

    public MWFAILDataIn rsOuiodl(Double rsOuiodl) {
        params.put("RS_OUIODL", rsOuiodl);
        return this;
    }

    public MWFAILDataIn rsOuopdt(java.util.Date rsOuopdt) {
        params.put("RS_OUOPDT", rsOuopdt);
        return this;
    }

    public MWFAILDataIn rsOudesc1(String rsOudesc1) {
        params.put("RS_OUDESC_1", rsOudesc1);
        return this;
    }

    public MWFAILDataIn rsOuemn11(String rsOuemn11) {
        params.put("RS_OUEMN1_1", rsOuemn11);
        return this;
    }

    public MWFAILDataIn rsOulpos1(Double rsOulpos1) {
        params.put("RS_OULPOS_1", rsOulpos1);
        return this;
    }

    public MWFAILDataIn rsOulatm1(Double rsOulatm1) {
        params.put("RS_OULATM_1", rsOulatm1);
        return this;
    }

    public MWFAILDataIn rsOudesc2(String rsOudesc2) {
        params.put("RS_OUDESC_2", rsOudesc2);
        return this;
    }

    public MWFAILDataIn rsOuenm12(String rsOuenm12) {
        params.put("RS_OUENM1_2", rsOuenm12);
        return this;
    }

    public MWFAILDataIn rsOulpos2(Double rsOulpos2) {
        params.put("RS_OULPOS_2", rsOulpos2);
        return this;
    }

    public MWFAILDataIn rsOulatm2(Double rsOulatm2) {
        params.put("RS_OULATM_2", rsOulatm2);
        return this;
    }

    public MWFAILDataIn rsOucdno2(String rsOucdno2) {
        params.put("RS_OUCDNO_2", rsOucdno2);
        return this;
    }

    public MWFAILDataIn rsOucdstat2(String rsOucdstat2) {
        params.put("RS_OUCDSTAT_2", rsOucdstat2);
        return this;
    }

    public MWFAILDataIn rsOucexd2(java.util.Date rsOucexd2) {
        params.put("RS_OUCEXD_2", rsOucexd2);
        return this;
    }

    public MWFAILDataIn rsOulmtamts3(Double rsOulmtamts3) {
        params.put("RS_OULMTAMTS_3", rsOulmtamts3);
        return this;
    }

    public MWFAILDataIn rsOutienr3(Long rsOutienr3) {
        params.put("RS_OUTIENR_3", rsOutienr3);
        return this;
    }

    public MWFAILDataIn rsOucrtdte3(java.util.Date rsOucrtdte3) {
        params.put("RS_OUCRTDTE_3", rsOucrtdte3);
        return this;
    }

    public MWFAILDataIn rsTypeufo(String rsTypeufo) {
        params.put("RS_TYPEUFO", rsTypeufo);
        return this;
    }

    public MWFAILDataIn rsLogo2(String rsLogo2) {
        params.put("RS_LOGO_2", rsLogo2);
        return this;
    }

    public MWFAILDataIn rsOuacex(String rsOuacex) {
        params.put("RS_OUACEX", rsOuacex);
        return this;
    }

    public MWFAILDataIn rsOuavb(Double rsOuavb) {
        params.put("RS_OUAVB", rsOuavb);
        return this;
    }

    public MWFAILDataIn rsSpiciucet(String rsSpiciucet) {
        params.put("RS_SPICIUCET", rsSpiciucet);
        return this;
    }

    public MWFAILDataIn rsPoplatkovyplan(String rsPoplatkovyplan) {
        params.put("RS_POPLATKOVYPLAN", rsPoplatkovyplan);
        return this;
    }

    public MWFAILDataIn rsTermtv(String rsTermtv) {
        params.put("RS_TERMTV", rsTermtv);
        return this;
    }

    public MWFAILDataIn rsNazevuctu(String rsNazevuctu) {
        params.put("RS_NAZEVUCTU", rsNazevuctu);
        return this;
    }

    public MWFAILDataIn rsOucens(String rsOucens) {
        params.put("RS_OUCENS", rsOucens);
        return this;
    }

    public MWFAILDataIn rsOucdno2Mask(String rsOucdno2Mask) {
        params.put("RS_OUCDNO_2_MASK", rsOucdno2Mask);
        return this;
    }

    public MWFAILDataIn rsIdentifikatoructu(String rsIdentifikatoructu) {
        params.put("RS_IDENTIFIKATORUCTU", rsIdentifikatoructu);
        return this;
    }

    public MWFAILDataIn rsSpravaremedialem(String rsSpravaremedialem) {
        params.put("RS_SPRAVAREMEDIALEM", rsSpravaremedialem);
        return this;
    }

    public Map<String, Object> getParams() {
        return params;
    }
}